Skip to main content
GET
/
v1
/
services
/
{id}
Get a service
curl --request GET \
  --url https://api.myproceeds.xyz/v1/services/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "baseUrl": "<string>",
    "authConfig": {
      "bearerToken": "***"
    },
    "networks": [
      "base-sepolia"
    ],
    "userId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "Paywall": [
      {
        "id": "<string>",
        "slug": "<string>",
        "name": "<string>",
        "description": "<string>",
        "targetUrl": "<string>",
        "routePattern": "<string>",
        "price": "<string>",
        "currency": "USDC",
        "network": "base-sepolia",
        "networks": [
          "base-sepolia"
        ],
        "merchantWallet": "<string>",
        "facilitatorUrl": "<string>",
        "timeout": 123,
        "validityWindow": 123,
        "allowedMethods": [],
        "enabled": true,
        "headers": [
          {
            "key": "<string>",
            "value": "***"
          }
        ],
        "queryParams": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "serviceId": "<string>",
        "userId": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "meta": {
    "requestId": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}

Authorizations

X-Api-Key
string
header
required

API key in format mpk_<64 hex chars>. Can alternatively be sent as Authorization: Bearer mpk_....

Path Parameters

id
string
required

Response

Service detail

data
object
required
meta
object
required